<template>
    <div class="mt-6 max-w-5xl mx-auto px-4 sm:px-6 lg:px-8">
      <div>
        <h3 class="text-lg leading-6 font-medium text-gray-900">
          Applicant Information
        </h3>
        <p class="mt-1 max-w-2xl text-sm text-gray-500">
          Personal details and company information.
        </p>
      </div>
      <div class="mt-5 border-t border-gray-200">
        <dl class="divide-y divide-gray-200">
          <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4">
            <dt class="text-sm font-medium text-gray-500">
              Full name
            </dt>
            <dd class="mt-1 flex text-sm text-gray-900 sm:mt-0 sm:col-span-2 capitalize">
              <span class="flex-grow">{{user.firstname}} {{user.lastname}}</span>
              <button @click="update({fullName: true})" :class="`ml-4 flex-shrink-0 text-${user.application.fullName ? 'green': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
              <button @click="update({fullName: false})" :class="`ml-4 flex-shrink-0 text-${user.application.fullName === false ? 'red': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
            </dd>
          </div>
          <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4">
            <dt class="text-sm font-medium text-gray-500">
              Company name
            </dt>
            <dd class="mt-1 flex text-sm text-gray-900 sm:mt-0 sm:col-span-2 capitalize">
              <span class="flex-grow">{{user.company[0].name}}</span>
              <button @click="update({companyName: true})" :class="`ml-4 flex-shrink-0 text-${user.application.companyName ? 'green': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
              <button @click="update({companyName: false})" :class="`ml-4 flex-shrink-0 text-${user.application.companyName === false ? 'red': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
            </dd>
          </div>
          <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4">
            <dt class="text-sm font-medium text-gray-500">
              Company SIRET
            </dt>
            <dd class="mt-1 flex text-sm text-gray-900 sm:mt-0 sm:col-span-2 capitalize">
              <span class="flex-grow">{{user.company[0].siren}} {{user.company[0].nic}}</span>
              <button @click="update({companySiret: true})" :class="`ml-4 flex-shrink-0 text-${user.application.companySiret ? 'green': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
              <button @click="update({companySiret: false})" :class="`ml-4 flex-shrink-0 text-${user.application.companySiret === false ? 'red': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
            </dd>
          </div>
          <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4">
            <dt class="text-sm font-medium text-gray-500">
              Company localisation
            </dt>
            <dd class="mt-1 flex text-sm text-gray-900 sm:mt-0 sm:col-span-2 capitalize">
              <span class="flex-grow">{{user.company[0].localisation}}</span>
              <button @click="update({companyLocalisation: true})" :class="`ml-4 flex-shrink-0 text-${user.application.companyLocalisation ? 'green': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
              <button @click="update({companyLocalisation: false})" :class="`ml-4 flex-shrink-0 text-${user.application.companyLocalisation === false ? 'red': 'gray'}-600`">
                <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z" />
                </svg>
              </button>
            </dd>
          </div>
        </dl>
      </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  name: 'Application',
  props: ['user'],
  methods: {
    ...mapActions('auth', ['updateApplication']),
    ...mapActions('user', ['fetchOne']),
    update (change) {
      this.updateApplication({ ...change, applicant: this.user.id })
    }
  }
}
</script>
